Footer (font color vs background color) is hard to read
Closed, ResolvedPublic

Description

"Text is available under the Creative Commons Attribution-ShareAlike License; code is available under the GNU General Public License or other appropriate open source licenses. By using this site, you agree to the Terms of Use and Privacy"
I have perfect vision and this text is hardly readable. Please increase the contrast or move the legally binding text to an area where text is readable.

Nemo_bis created this task.Oct 10 2014, 3:25 PM
Nemo_bis updated the task description. (Show Details)
Nemo_bis changed Security from none to None.
Nemo_bis added a subscriber: Nemo_bis.
Qgil triaged this task as Low priority.Oct 10 2014, 4:52 PM
Qgil added a project: Phabricator.
Aklapper renamed this task from Footer is unreadable to Footer (font color vs background color) is hard to read.Oct 13 2014, 1:28 PM
Qgil lowered the priority of this task from Low to Lowest.Oct 13 2014, 1:34 PM
Qgil added a subscriber: Qgil.

I actually think that it is as readable as it needs to be. It's a footer with a disclaimer. It is readable in decent displays with regular configurations (I have tried with all the laptops, tablets, and mobile phones at home), and I can't imagine a user willing to read it and not being able to.

If someone wants to discuss further upstream... I don't think this is a problem here.

I can't imagine a user willing to read it and not being able to.

Was this tested with real people having vision deficiencies?

Isarra added a subscriber: Isarra.Dec 15 2014, 7:18 PM

WCAG AA requires a contrast ratio of 4.5:1 for small text, however the contrast ratio of the footer is only 2.5:1.

Incidental/unnecessary text admittedly has no real guidelines, so if the footer is as readable as it needs to be, are you saying the footer text itself is this, and thus unnecessary? But if this is the case, then why is it even there?

Please do take this upstream. Wikimedia has traditionally rated accessibility as a higher concern than most, and this is something that we should be promoting elsewhere if possible, maintaining in general, and certainly not turning around and neglecting.

Nemo_bis added a comment.EditedDec 18 2014, 8:51 AM

if the footer is as readable as it needs to be, are you saying the footer text itself is this, and thus unnecessary? But if this is the case, then why is it even there?

I'm just saying that I'm sure legally binding text should be readable.

Please do take this upstream. Wikimedia has traditionally rated accessibility as a higher concern than most, and this is something that we should be promoting elsewhere if possible,

There is already an accessibility project/tracking bug upstream, pushed by some wikimedians, but so far nothing was achieved. As for newbie-friendly features, accessibility features are almost certainly something we'll need to develop locally.

Qgil added a subscriber: Graham87.Dec 19 2014, 11:56 AM

There is already an accessibility project/tracking bug upstream, pushed by some wikimedians, but so far nothing was achieved.

I guess you are referring to https://secure.phabricator.com/T4843. It contains 6 patches. The related downstream report includes this quote:

@Qgil: the most serious problems have been fixed (i.e. the inability to gt to the settings dialogue with screen readers).

Isarra, upstreaming this task will be useful if only to check what is their opinion. You (or anybody else interested) can do it. It takes less time than discussing in circles here. :)

In T628#936150, @Qgil wrote:>

Isarra, upstreaming this task will be useful if only to check what is their opinion. You (or anybody else interested) can do it.

Nemo has already verified that it would likely continue to achieve nothing.

It takes less time than discussing in circles here. :)

Discussing in circles? So far you seem to have ignored everything I said.

Please, reread Nemo's comment. Unreadable text is a problem, and it needs to be fixed. If the upstream does not care, and it seems they do not, then we need to fix it locally.

Qgil added a comment.EditedDec 19 2014, 6:46 PM
In T628#936662, @Isarra wrote:

If the upstream does not care

Right now upstream is not even aware that someone has a problem with the footer. Isarra, I think your arguments are good, and this is why I'm encouraging you to explain them upstream. They are responsive, please re-read my reply to Nemo.

PS: and whatever work that needs to be done locally can be contributed as a patch upstream. Worst thing that may happen is that it gets ignored? Well, this is equivalent to the best case scenario if we have a purely local patch.

Oh huh, there's text in the footer? I've never noticed before.

Qgil added a comment.EditedDec 19 2014, 9:12 PM

Not even the blue links? :)

Thanks @Quiddity

I don't know how it came into question whether or not this actually affects anyone, considering the task literally says 'this text is hardly readable', but if it helps, I do also find it hard to read. I thought that was already established, which was why I didn't repeat it and just explained why it would be so.

If anyone would like to relay the reasons upstream, I would be much obliged. Unfortunately I don't think I could necessarily do so politely myself at this point, as I find this topic to be incredibly frustrating and have apparently already snapped as a result, for which I can only apologise.

Qgil added a comment.Dec 20 2014, 1:21 PM

In less than four hours after the task was created, upstream maintainers merged a patch darkening the text of the footer. It also worth mentioning that they have also darkened the text of quotes. We will get these changes when we upgrade our Phabricator instance.

I want to add something: can you please assume good faith next time? Upstream hasn't done literally anything to deserve the assumptions and the tone seen in this thread. They are three productive and sympathetic maintainers that owe us nothing. In general, this type of discussions are not helpful in any way. We were discussing the contrast of text and background in a footer. Nothing that should push us to be demeaning, frustrated or maybe even impolite at some point.

Most of the times I enjoy discussing and working together with you a lot, because you are smart, experienced, dedicated, and very motivated. But precisely for all these reasons you should see when you are introducing more confrontation than collaboration, with a risk of demotivating those that can play at your level.

I'm sure I'm not perfect either, and I welcome your feedback whenever you think I'm crossing a line. And that is all what I wanted to say. Let's continue making Wikimedia better, also by making Phabricator better.

Qgil closed this task as Resolved.Dec 20 2014, 1:23 PM
Qgil claimed this task.

Again, sorry about that.

Thank you to everyone who took the time to comment and work on getting this issue improved.

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptMay 23 2016, 6:06 PM